#include<bits/stdc++.h>
using namespace std;
int main(){
	long long t;
	cin>>t;
	long long a[t],b[t];
	for(long long i=0;i<t;i++)cin>>a[i]>>b[i];
	for(long long i=0;i<t;i++){
		long long koren=sqrt(a[i])+1;
		long long pom=1;
		bool resenje=false;
		while(pom<=koren){
			if(a[i]%pom==0&&b[i]==(pom^(a[i]/pom))){
				resenje=true;
				cout<<pom<<" "<<a[i]/pom<<endl;
				break;
			}
			pom+=2;
		}
		if(!resenje)cout<<-1<<endl;
	}
}